<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/swipe_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scroll_data_pack"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="fill_vertical"
            android:fillViewport="true"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view_product_service"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/colorBgWhiteGray"
                android:nestedScrollingEnabled="false" />

        </androidx.core.widget.NestedScrollView>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:textAlignment="center"
        android:visibility="visible" />

    <RelativeLayout
        android:id="@+id/data_pack_bottom_navigation_background"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_gravity="bottom"
        android:translationY="40dp">

        <View
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:layout_alignParentBottom="true"
            android:background="@color/colorBottombar" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/data_pack_bottom_navigation"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_gravity="bottom"
        android:translationY="60dp">

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_add_to_card"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="@dimen/default_screen_padding"
            android:layout_marginRight="@dimen/default_screen_padding"
            android:layout_marginBottom="20dp"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="@string/add_to_card"
            android:textAllCaps="false"
            android:textColor="@android:color/white"
            android:textSize="@dimen/default_text_size" />

    </RelativeLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>